Find attachments by ids

POST/api/integration/attachment/find-by-ids

Request

cURL
curl -X POST "https://uat.integration.cl.sodtrack-shared.sodtrack.com/api/integration/attachment/find-by-ids" \
  -H "Authorization: Bearer $SODTRACK_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Origin: dev.api.cl.sodtrack.sodtrack.com" \
  -d '{
  "attachmentIds": [
    21
  ]
}'

Base URL: https://uat.integration.cl.sodtrack-shared.sodtrack.com · other environments

Headers

NameTypeDescription
Originstring—
dev.api.cl.sodtrack.sodtrack.com

Request body

application/json
{
  "attachmentIds": [
    21
  ]
}

Responses

Create Lead
{
  "id": 4,
  "customer_id": 15
}

Error responses for this endpoint follow the shared error reference.

Field Definitions

Top-level

FieldTypeRequiredDescription
customerobject✅Basic customer information.
serviceIdnumber✅ID of the service associated with the lead.
salesChannelIdnumber✅ID of the originating sales channel.
qualifyingQuestionsarray✅Answers to the lead’s qualifying questions.
addressDataobject✅Customer address data; required if the service variant must be performed at the customer location.
dynamicFormarray❌Forms (and values) to associate with the lead creation.
referencestring❌Optional reference identifier

customer

FieldTypeRequiredDescription
customer.namestring✅Customer first name.
customer.lastNamestring✅Customer last name.
customer.phoneNumberstring✅Client phone number including “+” and country code.
customer.emailstring✅Customer email.
customer.identificationNumberstring✅Customer fiscal/tax ID.
customer.identificationNumberCountrystring✅Country code in ISO‑2 format (e.g., US, CL).
customer.referencestring❌Optional reference identifier

qualifyingQuestions

FieldTypeRequiredDescription
qualifyingQuestions[].fieldReferencenumber✅ID of the question to be answered.
qualifyingQuestions[].valuestring✅Answer to the question.

addressData

FieldTypeRequiredDescription
addressData.extra_infostring❌Additional info to locate the address (e.g., “apt 34”, “office 83”).
addressData.addressstring✅Written customer address.
addressData.coordinateobject✅Geolocation of the customer address.
addressData.coordinate.latnumber✅Latitude.
addressData.coordinate.lngnumber✅Longitude.

dynamicForm

FieldTypeRequiredDescription
dynamicForm[].externalReferencestring✅Reference of the form to be completed.
dynamicForm[].valuesarray✅Array of responses for that form.
dynamicForm[].values[].FieldReferencestring✅Dynamic Form field reference
dynamicForm[].values[].valuestring✅Field value.